<div class="slider-container" [ngClass]="{'slide1': currentSlide == 1, 'slide2': currentSlide == 2 , 'slide3': currentSlide == 3}">
  <div class="slide p-3 text-center" (swipeleft)="swipe(1, $event.type)" (swiperight)="swipe(3, $event.type)" >
    <img class="logo" src="assets/img/logo.png">
    <img class="slide-image" src="assets/img/ob1.png">
    <h3 class="mt-3">End to end cyber insurance and surveillance system</h3>
  </div>
  <div class="slide p-3 text-center" (swipeleft)="swipe(2, $event.type)" (swiperight)="swipe(3, $event.type)" >
    <img class="logo" src="assets/img/logo.png">
    <img class="slide-image" src="assets/img/ob2.png">
    <h3 class="mt-3">End to end cyber insurance and surveillance system 2</h3>
  </div>
  <div class="slide p-3 text-center" (swipeleft)="swipe(3, $event.type)" (swiperight)="swipe(3, $event.type)" >
    <img class="logo" src="assets/img/logo.png">
    <p class="pt-3">2 Minutes to get your cyber risk and insurance</p>
    <img class="slide-image" src="assets/img/ob3.png">
    <button class="btn btn-primary btn-block mt-3" (click)="router.navigate(['/login']);">Login</button>
    <button class="btn btn-outline-secondary btn-block mt-3" (click)="router.navigate(['/register']);">Register</button>
  </div>
</div>
<div class="indicator d-flex justify-content-center p-4">
  <div class="dot m-1" [ngClass]="{'active': currentSlide == 1, 'deactive': currentSlide != 1}"></div>
  <div class="dot m-1" [ngClass]="{'active': currentSlide == 2, 'deactive': currentSlide != 2}"></div>
  <div class="dot m-1" [ngClass]="{'active': currentSlide == 3, 'deactive': currentSlide != 3}"></div>
</div>
